Update payment methods from payment provider
curl --request POST \
--url https://api.withorb.com/v1/customers/{customer_id}/sync_payment_methods_from_gateway \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.withorb.com/v1/customers/{customer_id}/sync_payment_methods_from_gateway"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.withorb.com/v1/customers/{customer_id}/sync_payment_methods_from_gateway', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"type": "https://docs.withorb.com/reference/error-responses#400-constraint-violation",
"status": 400,
"detail": "<string>",
"title": "<string>"
}{
"type": "https://docs.withorb.com/reference/error-responses#401-authentication-error",
"status": 401,
"detail": "<string>",
"title": "<string>"
}{
"type": "https://docs.withorb.com/reference/error-responses#404-feature-not-available",
"status": 400,
"detail": "<string>",
"title": "<string>"
}{
"type": "https://docs.withorb.com/reference/error-responses#409-resource-conflict",
"status": 409,
"detail": "<string>",
"title": "<string>"
}{
"type": "https://docs.withorb.com/reference/error-responses#413-request-too-large",
"status": 413,
"detail": "<string>",
"title": "<string>"
}{
"type": "https://docs.withorb.com/reference/error-responses#429-too-many-requests",
"status": 429,
"detail": "<string>",
"title": "<string>"
}{
"type": "https://docs.withorb.com/reference/error-responses#500-internal-server-error",
"status": 123,
"detail": "<string>",
"title": "<string>"
}Customer
Update payment methods from payment provider
Sync Orb’s payment methods for the customer with their gateway.
This method can be called before taking an action that may cause the customer to be charged, ensuring that the most up-to-date payment method is charged.
Note: This functionality is currently only available for Stripe.
POST
/
customers
/
{customer_id}
/
sync_payment_methods_from_gateway
Update payment methods from payment provider
Was this page helpful?
⌘I